Bug 1017288 - [Blocked] Snapshots on GlusterFS w/ libgfapi enabled
[Blocked] Snapshots on GlusterFS w/ libgfapi enabled
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: z2
: 6.0 (Juno)
Assigned To: Eric Harney
Sean Toner
: TestOnly, Triaged, ZStream
: 1072240 (view as bug list)
Depends On: 1017289
Blocks: 1045047 1045196 1061965
  Show dependency treegraph
 
Reported: 2013-10-09 11:01 EDT by Eric Harney
Modified: 2016-04-26 19:35 EDT (History)
15 users (show)

See Also:
Fixed In Version: openstack-nova-2014.2.2-2.el7ost
Doc Type: Bug Fix
Doc Text:
libvirt did not previously support snapshot merge or delete operations using libgfapi. This meant that the user could not delete snapshots of a Red Hat Storage (glusterfs) Block Storage volume attached to an instance when using libgfapi. With this update, libvirt and the Compute service now correctly handle Block Storage volume snapshots with libgfapi enabled, and these snapshots can now be deleted.
Story Points: ---
Clone Of:
: 1017289 (view as bug list)
Environment:
Last Closed: 2015-04-07 11:09:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
steps done for glusterfs snapshotting (8.94 KB, text/plain)
2015-03-18 18:13 EDT, Sean Toner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1288976 None None None Never
OpenStack gerrit 78748 None None None Never

  None (edit)
Description Eric Harney 2013-10-09 11:01:47 EDT
Description of problem:
Snapshots do not currently work with libgfapi enabled in Nova for two reasons:

1) libvirt doesn't support "network" disks with qcow2 backing chains.  It assumes they are flat files.  libvirt must be able to traverse these qcow2 chains like it can with local files.
2) Nova's libvirt code (virt/libvirt/config.py,driver.py) does not handle all of the XML fields involved with "network" disks.
Comment 1 Dave Allan 2014-01-14 15:04:36 EST
Eric, you have the scratch libvirt build and this BZ is no longer blocked, correct?
Comment 2 Eric Harney 2014-01-14 17:45:45 EST
We have a scratch libvirt build, so it's not blocked as far as continuing work on the code for Nova.
Comment 3 Tushar Katarki 2014-02-18 17:11:50 EST
Eric, 

do you have a scratch build with your Nova change and instructions for RHS engineering to test? 

Thanks
Tushar
Comment 4 Scott Lewis 2014-02-25 10:09:50 EST
Needinfo added regarding comment 3.
Comment 5 Eric Harney 2014-02-25 10:17:24 EST
(In reply to Tushar Katarki from comment #3)

Current plan is to wait for a successful run for attached snapshot create, volume attach with snapshots, and attached snapshot delete on the engineering side before generating scratch builds.

The delete portion of that is pending significant work in libvirt so it will be a bit before this happens.

The first two work with the combination of:
a) current libvirt scratch build
b) our pending Nova patch to pass different XML to libvirt's snapshot create
c) a pending Cinder patch to set file permissions : https://review.openstack.org/#/c/75110/
Comment 6 Eric Harney 2014-03-05 17:04:42 EST
*** Bug 1072240 has been marked as a duplicate of this bug. ***
Comment 13 Sean Toner 2015-03-18 18:13:37 EDT
Created attachment 1003463 [details]
steps done for glusterfs snapshotting
Comment 19 errata-xmlrpc 2015-04-07 11:09:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0790.html

Note You need to log in before you can comment on or make changes to this bug.